package com.bonus.canteen.core.auth.oauth.app.manage.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@ApiModel("app 更换人员头像")
public class AuthAppModifyAvatarDTO {
   @ApiModelProperty("用户ID")
   private @NotNull(
   message = "用户id 不能为空"
) Long userId;
   @ApiModelProperty("人员头像地址")
   private @NotBlank(
   message = "人员头像地址 不能为空"
) String custPhotoUrl;

   public Long getUserId() {
      return this.userId;
   }

   public String getCustPhotoUrl() {
      return this.custPhotoUrl;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setCustPhotoUrl(final String custPhotoUrl) {
      this.custPhotoUrl = custPhotoUrl;
   }

   public String toString() {
      Long var10000 = this.getUserId();
      return "AuthAppModifyAvatarDTO(userId=" + var10000 + ", custPhotoUrl=" + this.getCustPhotoUrl() + ")";
   }
}
